Mandriva Linux Security Advisory : gcc (MDVSA-2015:170)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

Updated gcc packages fix the following security issue :

Multiple integer overflow issues were found in libgfortran, the
run-time support library for the Fortran compiler. These could
possibly be used to crash a Fortran application or cause it to execute
arbitrary code CVE-2014-5044).

They also fix the following bugs :

The gcc rtl-optimization sched2 miscompiles syscall sequence wich can
cause random panic in glibc and kernel (gcc/PR61801)

clang++ fails to find cxxabi.h and cxxabi_tweaks.h during build
(mga#13543)

See also :

http://advisories.mageia.org/MGASA-2014-0306.html

Solution :

Update the affected packages.

Risk factor :

High

Family: Mandriva Local Security Checks

Nessus Plugin ID: 82446 ()

Bugtraq ID:

CVE ID: CVE-2014-5044

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now